Bug 1251753 - FTBFS in f23: sources not updated to match spec file
FTBFS in f23: sources not updated to match spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: osm2pgsql (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 12:00 EDT by Jonathan Wakely
Modified: 2015-09-01 14:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.88.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 14:31:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2015-08-09 12:00:48 EDT
This package fails to build from source in the f23 branch, because the sources have not been uploaded:


$ fedpkg srpm


error: File /home/jwakely/src/fedora-scm/osm2pgsql/osm2pgsql-0.87.3.tar.gz: No such file or directory
Could not execute srpm: Command 'rpmbuild --define '_sourcedir /home/jwakely/src/fedora-scm/osm2pgsql' --define '_specdir /home/jwakely/src/fedora-scm/osm2pgsql' --define '_builddir /home/jwakely/src/fedora-scm/osm2pgsql' --define '_srcrpmdir /home/jwakely/src/fedora-scm/osm2pgsql' --define '_rpmdir /home/jwakely/src/fedora-scm/osm2pgsql' --define 'dist .fc23' --define 'fedora 23' --eval '%undefine rhel' --define 'fc23 1' --eval '%undefine fc22' --nodeps -bs /home/jwakely/src/fedora-scm/osm2pgsql/osm2pgsql.spec' returned non-zero exit status 1

The spec file has:

Version:        0.87.3

But sources says:

$ cat sources 
c5665dc111778d6bf36f58ad9a87ec9d  osm2pgsql-0.87.2.tar.gz
Comment 1 Ralf Corsepius 2015-08-26 11:56:48 EDT
Taking. Seems to me as if Fabian is AWOL.

I am going to add the missing tarball and rebuild.
Comment 2 Ralf Corsepius 2015-08-26 12:52:02 EDT
This wasn't as easy as I initially had assumed.

0.88.0 was present and built on rawhide, but the tarball was missing. No idea why.

On fc23, things looked messed up - I'd guess some build-ride and/or a messed up merger from a side-branch have interfered.

I hope to have cleaned up the situation and used this opportunity to update to 0.88.1.
Comment 3 Ralf Corsepius 2015-08-26 13:03:45 EDT
Reopening - bodhi2 is confused by closed bugs.
Comment 4 Fedora Update System 2015-08-26 13:10:58 EDT
osm2pgsql-0.88.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14355
Comment 5 Ralf Corsepius 2015-08-26 13:12:17 EDT
This wasn't as easy as I initially had assumed.

On  rawhide 0.88.0 was present and built (!), but the tarball was missing. No idea why and no idea how this could have happened. On fc23, things looked messed up.

I'd guess some build-ride and/or a messed up merger from a side-branch have interfered.

I hope to have cleaned up the situation and used this opportunity to update to 0.88.1.
Comment 6 Fedora Update System 2015-08-31 14:53:24 EDT
osm2pgsql-0.88.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update osm2pgsql'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14355
Comment 7 Fedora Update System 2015-09-01 14:31:32 EDT
osm2pgsql-0.88.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.